import { Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class DropdownDirective {
    private readonly renderer;
    targetId: string;
    isVisible: boolean;
    constructor(renderer: Renderer2);
    onBlur(): void;
    onClick(): void;
    toggle(element: HTMLElement): void;
    close(element: HTMLElement): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DropdownDirective, "[ctDropdown]", never, { "targetId": { "alias": "targetId"; "required": true; }; }, {}, never, never, true, never>;
}
